Bug 1005111 - WARNING: at net/core/dst.c:276 dst_release+0x45/0x70() [NEEDINFO]
WARNING: at net/core/dst.c:276 dst_release+0x45/0x70()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 05:07 EDT by Łukasz Trąbiński
Modified: 2014-03-10 10:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:39:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Łukasz Trąbiński 2013-09-06 05:07:03 EDT
Description of problem:

Lot of kernel messages

Version-Release number of selected component (if applicable):

oceanic:/var/log# uname -a
Linux oceanic.wsisiz.edu.pl 3.10.10-200.fc19.x86_64 #1 SMP Thu Aug 29 19:05:45 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Sep  5 16:38:25 oceanic kernel: [86356.336925] ------------[ cut here ]------------
Sep  5 16:38:25 oceanic kernel: [86356.336928] WARNING: at net/core/dst.c:276 dst_release+0x45/0x70()
Sep  5 16:38:25 oceanic kernel: [86356.336944] Modules linked in: nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack xt_recent rpcsec_gss_krb5 nfsv4 nfs dns_resolver fscache dm_round_robin scsi_dh_rdac nfsd raid1 ppdev auth_rpcgss tg3 nfs_acl lockd ptp pps_core amd64_edac_mod e100 edac_core i2c_amd756 mii i2c_amd8111 edac_mce_amd amd_rng i2c_core sunrpc parport_pc shpchp parport k8temp binfmt_misc dm_multipath raid10 mptsas scsi_transport_sas mptscsih mptbase aic79xx ata_generic pata_acpi scsi_transport_spi pata_amd sata_sil
Sep  5 16:38:25 oceanic kernel: [86356.336945] CPU: 1 PID: 755 Comm: rs:main Q:Reg Tainted: G        W    3.10.10-200.fc19.x86_64 #1
Sep  5 16:38:25 oceanic kernel: [86356.336946] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./TYAN High-End Dual AMD Opteron, S2882, BIOS 080010  07/26/2006
Sep  5 16:38:25 oceanic kernel: [86356.336948]  0000000000000009 ffff8801f7d03700 ffffffff81639647 ffff8801f7d03738
Sep  5 16:38:25 oceanic kernel: [86356.336950]  ffffffff8105c221 ffff8801155f6300 00000000ffffffff ffff8803f324e89c
Sep  5 16:38:25 oceanic kernel: [86356.336952]  ffff8803f3b1a000 ffff8800be933af8 ffff8801f7d03748 ffffffff8105c2fa
Sep  5 16:38:25 oceanic kernel: [86356.336953] Call Trace:
Sep  5 16:38:25 oceanic kernel: [86356.336955]  <IRQ>  [<ffffffff81639647>] dump_stack+0x19/0x1b
Sep  5 16:38:25 oceanic kernel: [86356.336958]  [<ffffffff8105c221>] warn_slowpath_common+0x61/0x80
Sep  5 16:38:25 oceanic kernel: [86356.336960]  [<ffffffff8105c2fa>] warn_slowpath_null+0x1a/0x20
Sep  5 16:38:25 oceanic kernel: [86356.336962]  [<ffffffff8153aaf5>] dst_release+0x45/0x70
Sep  5 16:38:25 oceanic kernel: [86356.336963]  [<ffffffff81534d7f>] dev_hard_start_xmit+0x4ef/0x550
Sep  5 16:38:25 oceanic kernel: [86356.336966]  [<ffffffff81552bd0>] sch_direct_xmit+0xe0/0x1c0
Sep  5 16:38:25 oceanic kernel: [86356.336967]  [<ffffffff81552d39>] __qdisc_run+0x89/0x150
Sep  5 16:38:25 oceanic kernel: [86356.336969]  [<ffffffff81534ff2>] dev_queue_xmit+0x212/0x480
Sep  5 16:38:25 oceanic kernel: [86356.336971]  [<ffffffff815d9470>] ip6_finish_output2+0x3a0/0x490
Sep  5 16:38:25 oceanic kernel: [86356.336972]  [<ffffffff815dbc48>] ip6_finish_output+0x98/0xc0
Sep  5 16:38:25 oceanic kernel: [86356.336974]  [<ffffffff815dbcae>] ip6_output+0x3e/0xb0
Sep  5 16:38:25 oceanic kernel: [86356.336975]  [<ffffffff815d8ea4>] ip6_xmit+0x1d4/0x400
Sep  5 16:38:25 oceanic kernel: [86356.336977]  [<ffffffff816073ef>] ? inet6_csk_route_socket+0x17f/0x200
Sep  5 16:38:25 oceanic kernel: [86356.336979]  [<ffffffff81607570>] inet6_csk_xmit+0x80/0xd0
Sep  5 16:38:25 oceanic kernel: [86356.336981]  [<ffffffff81586efd>] tcp_transmit_skb+0x45d/0x8c0
Sep  5 16:38:25 oceanic kernel: [86356.336984]  [<ffffffff815874f4>] tcp_write_xmit+0x194/0xb60
Sep  5 16:38:25 oceanic kernel: [86356.336986]  [<ffffffff815853f3>] ? tcp_established_options+0x33/0xd0
Sep  5 16:38:25 oceanic kernel: [86356.336992]  [<ffffffff815880ee>] __tcp_push_pending_frames+0x2e/0xc0
Sep  5 16:38:25 oceanic kernel: [86356.336997]  [<ffffffff8158396c>] tcp_rcv_established+0x12c/0x8b0
Sep  5 16:38:25 oceanic kernel: [86356.337013]  [<ffffffff81284c96>] ? security_sock_rcv_skb+0x16/0x20
Sep  5 16:38:25 oceanic kernel: [86356.337015]  [<ffffffff81602165>] tcp_v6_do_rcv+0x2e5/0x6a0
Sep  5 16:38:25 oceanic kernel: [86356.337021]  [<ffffffff81602acd>] tcp_v6_rcv+0x5ad/0x710
Sep  5 16:38:25 oceanic kernel: [86356.337027]  [<ffffffff8160e034>] ? fib6_rule_lookup+0x44/0x80
Sep  5 16:38:25 oceanic kernel: [86356.337033]  [<ffffffff815e7ea0>] ? ip6_pol_route.isra.44+0x4c0/0x4c0
Sep  5 16:38:25 oceanic kernel: [86356.337038]  [<ffffffff815dbe81>] ip6_input_finish+0xd1/0x410
Sep  5 16:38:25 oceanic kernel: [86356.337042]  [<ffffffff815dc622>] ip6_input+0x22/0x60
Sep  5 16:38:25 oceanic kernel: [86356.337047]  [<ffffffff815dbda0>] ip6_rcv_finish+0x80/0x90
Sep  5 16:38:25 oceanic kernel: [86356.337052]  [<ffffffff815dc473>] ipv6_rcv+0x2b3/0x440
Sep  5 16:38:25 oceanic kernel: [86356.337057]  [<ffffffff81533006>] __netif_receive_skb_core+0x646/0x820
Sep  5 16:38:25 oceanic kernel: [86356.337061]  [<ffffffff8117e200>] ? kfree+0x70/0x180
Sep  5 16:38:25 oceanic kernel: [86356.337066]  [<ffffffff815331f8>] __netif_receive_skb+0x18/0x60
Sep  5 16:38:25 oceanic kernel: [86356.337071]  [<ffffffff81533273>] netif_receive_skb+0x33/0xb0
Sep  5 16:38:25 oceanic kernel: [86356.337076]  [<ffffffff81533c50>] napi_gro_receive+0x80/0xb0
Sep  5 16:38:25 oceanic kernel: [86356.337083]  [<ffffffffa01a8d98>] tg3_poll_work+0xc58/0xf40 [tg3]
Sep  5 16:38:25 oceanic kernel: [86356.337089]  [<ffffffff81530391>] ? __napi_complete+0x21/0x30
Sep  5 16:38:25 oceanic kernel: [86356.337095]  [<ffffffffa01ad449>] tg3_poll+0x79/0x390 [tg3]
Sep  5 16:38:25 oceanic kernel: [86356.337100]  [<ffffffff815335e9>] net_rx_action+0x149/0x240
Sep  5 16:38:25 oceanic kernel: [86356.337105]  [<ffffffff81064997>] __do_softirq+0xf7/0x240
Sep  5 16:38:25 oceanic kernel: [86356.337110]  [<ffffffff81064c75>] irq_exit+0xb5/0xc0
Sep  5 16:38:25 oceanic kernel: [86356.337115]  [<ffffffff81649916>] do_IRQ+0x56/0xc0
Sep  5 16:38:25 oceanic kernel: [86356.337121]  [<ffffffff8163f96d>] common_interrupt+0x6d/0x6d
Sep  5 16:38:25 oceanic kernel: [86356.337128]  <EOI>  [<ffffffff8105cbdf>] ? print_prefix+0x6f/0xb0
Sep  5 16:38:25 oceanic kernel: [86356.337133]  [<ffffffff8105e330>] ? console_unlock+0x3b0/0x3f0
Sep  5 16:38:25 oceanic kernel: [86356.337139]  [<ffffffff813af2e3>] con_flush_chars+0x43/0x50
Sep  5 16:38:25 oceanic kernel: [86356.337144]  [<ffffffff813b42b5>] con_write+0x35/0x40
Sep  5 16:38:25 oceanic kernel: [86356.337149]  [<ffffffff8139cc7d>] n_tty_write+0x1dd/0x460
Sep  5 16:38:25 oceanic kernel: [86356.337154]  [<ffffffff81090620>] ? wake_up_state+0x20/0x20
Sep  5 16:38:25 oceanic kernel: [86356.337160]  [<ffffffff81399cb0>] tty_write+0x150/0x2b0
Sep  5 16:38:25 oceanic kernel: [86356.337164]  [<ffffffff8139caa0>] ? process_echoes+0x2f0/0x2f0
Sep  5 16:38:25 oceanic kernel: [86356.337170]  [<ffffffff81197d6d>] vfs_write+0xbd/0x1e0
Sep  5 16:38:25 oceanic kernel: [86356.337176]  [<ffffffff81198739>] SyS_write+0x49/0xa0
Sep  5 16:38:25 oceanic kernel: [86356.337181]  [<ffffffff81647c59>] system_call_fastpath+0x16/0x1b
Sep  5 16:38:25 oceanic kernel: [86356.337182] ---[ end trace 20041699c2350608 ]---
Sep  5 16:40:57 oceanic kernel: [86508.380450] ------------[ cut here ]------------
Sep  5 16:40:57 oceanic kernel: [86508.380461] WARNING: at net/core/dst.c:276 dst_release+0x45/0x70()
Sep  5 16:40:57 oceanic kernel: [86508.380463] Modules linked in: nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack xt_recent rpcsec_gss_krb5 nfsv4 nfs dns_resolver fscache dm_round_robin scsi_dh_rdac nfsd raid1 ppdev auth_rpcgss tg3 nfs_acl lockd ptp pps_core amd64_edac_mod e100 edac_core i2c_amd756 mii i2c_amd8111 edac_mce_amd amd_rng i2c_core sunrpc parport_pc shpchp parport k8temp binfmt_misc dm_multipath raid10 mptsas scsi_transport_sas mptscsih mptbase aic79xx ata_generic pata_acpi scsi_transport_spi pata_amd sata_sil
Sep  5 16:40:57 oceanic kernel: [86508.380498] CPU: 1 PID: 9226 Comm: smbd Tainted: G        W    3.10.10-200.fc19.x86_64 #1
Sep  5 16:40:57 oceanic kernel: [86508.380501] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./TYAN High-End Dual AMD Opteron, S2882, BIOS 080010  07/26/2006
Sep  5 16:40:57 oceanic kernel: [86508.380503]  0000000000000009 ffff8800f507d968 ffffffff81639647 ffff8800f507d9a0
Sep  5 16:40:57 oceanic kernel: [86508.380507]  ffffffff8105c221 ffff8801155f6300 00000000ffffffff ffff8800d730fb28
Sep  5 16:40:57 oceanic kernel: [86508.380510]  0000000000000000 00000000000251ec ffff8800f507d9b0 ffffffff8105c2fa
Sep  5 16:40:57 oceanic kernel: [86508.380513] Call Trace:
Sep  5 16:40:57 oceanic kernel: [86508.380520]  [<ffffffff81639647>] dump_stack+0x19/0x1b
Sep  5 16:40:57 oceanic kernel: [86508.380525]  [<ffffffff8105c221>] warn_slowpath_common+0x61/0x80
Sep  5 16:40:57 oceanic kernel: [86508.380528]  [<ffffffff8105c2fa>] warn_slowpath_null+0x1a/0x20
Sep  5 16:40:57 oceanic kernel: [86508.380531]  [<ffffffff8153aaf5>] dst_release+0x45/0x70
Sep  5 16:40:57 oceanic kernel: [86508.380535]  [<ffffffff8151e034>] __sk_dst_check+0x84/0x90
Sep  5 16:40:57 oceanic kernel: [86508.380539]  [<ffffffff81607399>] inet6_csk_route_socket+0x129/0x200
Sep  5 16:40:57 oceanic kernel: [86508.380543]  [<ffffffff8125d4bc>] ? do_get_write_access+0x3bc/0x560
Sep  5 16:40:57 oceanic kernel: [86508.380546]  [<ffffffff8160752d>] inet6_csk_xmit+0x3d/0xd0
Sep  5 16:40:57 oceanic kernel: [86508.380551]  [<ffffffff81586efd>] tcp_transmit_skb+0x45d/0x8c0
Sep  5 16:40:57 oceanic kernel: [86508.380554]  [<ffffffff815874f4>] tcp_write_xmit+0x194/0xb60
Sep  5 16:40:57 oceanic kernel: [86508.380558]  [<ffffffff815880ee>] __tcp_push_pending_frames+0x2e/0xc0
Sep  5 16:40:57 oceanic kernel: [86508.380561]  [<ffffffff815793ed>] tcp_sendmsg+0x11d/0xda0
Sep  5 16:40:57 oceanic kernel: [86508.380565]  [<ffffffff81218990>] ? __ext4_get_inode_loc+0x3d0/0x3d0
Sep  5 16:40:57 oceanic kernel: [86508.380569]  [<ffffffff815a2434>] inet_sendmsg+0x64/0xb0
Sep  5 16:40:57 oceanic kernel: [86508.380573]  [<ffffffff811c6048>] ? __set_page_dirty_buffers+0x28/0xa0
Sep  5 16:40:57 oceanic kernel: [86508.380576]  [<ffffffff8151a617>] sock_aio_write+0x137/0x150
Sep  5 16:40:57 oceanic kernel: [86508.380580]  [<ffffffff81155d41>] ? do_wp_page+0x511/0x820
Sep  5 16:40:57 oceanic kernel: [86508.380584]  [<ffffffff8119771c>] do_sync_readv_writev+0x6c/0xa0
Sep  5 16:40:57 oceanic kernel: [86508.380588]  [<ffffffff81198adb>] do_readv_writev+0xbb/0x240
Sep  5 16:40:57 oceanic kernel: [86508.380592]  [<ffffffff810ac4ba>] ? __getnstimeofday+0x3a/0xc0
Sep  5 16:40:57 oceanic kernel: [86508.380595]  [<ffffffff81198cf5>] vfs_writev+0x35/0x60
Sep  5 16:40:57 oceanic kernel: [86508.380598]  [<ffffffff81198e29>] SyS_writev+0x49/0xc0
Sep  5 16:40:57 oceanic kernel: [86508.380602]  [<ffffffff81647c59>] system_call_fastpath+0x16/0x1b
Sep  5 16:40:57 oceanic kernel: [86508.380604] ---[ end trace 20041699c2350609 ]---
Comment 1 Josh Boyer 2013-09-18 16:42:20 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josh Boyer 2013-10-08 12:06:57 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 3 Łukasz Trąbiński 2013-11-11 18:01:48 EST
This bug still exists:

oceanic:~$ uname -a
Linux oceanic.wsisiz.edu.pl 3.11.7-200.fc19.x86_64 #1 SMP Mon Nov 4 14:09:03 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


[531666.008255] ------------[ cut here ]------------
[531666.008258] WARNING: CPU: 0 PID: 0 at net/core/dst.c:276 dst_release+0x45/0x70()
[531666.008260] Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack xt_recent ppdev serio_raw tg3 raid1 ptp e100 pps_core mii i2c_amd756 amd64_edac_mod i2c_amd8111 edac_core i2c_core shpchp parport_pc amd_rng k8temp edac_mce_amd parport mperf nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc raid10 mptsas aic79xx scsi_transport_sas mptscsih scsi_transport_spi ata_generic mptbase pata_acpi pata_amd sata_sil
[531666.008285] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G        W    3.11.7-200.fc19.x86_64 #1
[531666.008287] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./TYAN High-End Dual AMD Opteron, S2882, BIOS 080010  07/26/2006
[531666.008289]  0000000000000009 ffff8801f7c03bc8 ffffffff8164777b 0000000000000000
[531666.008293]  ffff8801f7c03c00 ffffffff8106715d ffff8800c7c38300 00000000ffffffeb
[531666.008296]  ffff88008d46f368 0000000000000000 ffff8800c7c38300 ffff8801f7c03c10
[531666.008300] Call Trace:
[531666.008302]  <IRQ>  [<ffffffff8164777b>] dump_stack+0x45/0x56
[531666.008308]  [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
[531666.008311]  [<ffffffff8106723a>] warn_slowpath_null+0x1a/0x20
[531666.008315]  [<ffffffff81552f55>] dst_release+0x45/0x70
[531666.008318]  [<ffffffff81535b74>] __sk_dst_check+0x84/0x90
[531666.008323]  [<ffffffff81621399>] inet6_csk_route_socket+0x129/0x200
[531666.008327]  [<ffffffff8162152d>] inet6_csk_xmit+0x3d/0xd0
[531666.008331]  [<ffffffff8159f0e3>] tcp_transmit_skb+0x463/0x8c0
[531666.008335]  [<ffffffff815a05c8>] __tcp_retransmit_skb+0x168/0x5b0
[531666.008339]  [<ffffffff815a31d0>] ? tcp_write_timer_handler+0x1b0/0x1b0
[531666.008343]  [<ffffffff815a0b81>] tcp_send_loss_probe+0x171/0x210
[531666.008346]  [<ffffffff815a306c>] tcp_write_timer_handler+0x4c/0x1b0
[531666.008350]  [<ffffffff815a3228>] tcp_write_timer+0x58/0x60
[531666.008354]  [<ffffffff81072b36>] call_timer_fn+0x36/0x110
[531666.008357]  [<ffffffff815a31d0>] ? tcp_write_timer_handler+0x1b0/0x1b0
[531666.008361]  [<ffffffff81073779>] run_timer_softirq+0x1e9/0x290
[531666.008365]  [<ffffffff8106c427>] __do_softirq+0xf7/0x240
[531666.008369]  [<ffffffff8165825c>] call_softirq+0x1c/0x30
[531666.008373]  [<ffffffff81014685>] do_softirq+0x55/0x90
[531666.008377]  [<ffffffff8106c705>] irq_exit+0xb5/0xc0
[531666.008381]  [<ffffffff81658c05>] smp_apic_timer_interrupt+0x45/0x60
[531666.008384]  [<ffffffff8165759d>] apic_timer_interrupt+0x6d/0x80
[531666.008386]  <EOI>  [<ffffffff8104c416>] ? native_safe_halt+0x6/0x10
[531666.008392]  [<ffffffff8101ad4f>] default_idle+0x1f/0xc0
[531666.008395]  [<ffffffff8101b616>] arch_cpu_idle+0x26/0x30
[531666.008399]  [<ffffffff810b669e>] cpu_startup_entry+0xce/0x280
[531666.008402]  [<ffffffff8163da67>] rest_init+0x77/0x80
[531666.008406]  [<ffffffff81d0eef5>] start_kernel+0x40a/0x416
[531666.008409]  [<ffffffff81d0e8f4>] ? repair_env_string+0x5c/0x5c
[531666.008413]  [<ffffffff81d0e120>] ? early_idt_handlers+0x120/0x120
[531666.008417]  [<ffffffff81d0e5dc>] x86_64_start_reservations+0x2a/0x2c
[531666.008420]  [<ffffffff81d0e6e6>] x86_64_start_kernel+0x108/0x117
[531666.008423] ---[ end trace 6938143a9a8fdfa0 ]---
Comment 4 Justin M. Forbes 2014-01-03 17:04:05 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2014-03-10 10:39:57 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.